Bug 145901

Summary: [WK2] Add allowsPictureInPictureMediaPlayback
Product: WebKit Reporter: Jon Lee <jonlee>
Component: MediaAssignee: Jon Lee <jonlee>
Status: RESOLVED FIXED    
Severity: Normal CC: andersca, eric.carlson, jeremyj-wk, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 145825    
Attachments:
Description Flags
Patch andersca: review+

Description Jon Lee 2015-06-11 16:43:02 PDT
Add allowsPictureInPictureMediaPlayback
Comment 1 Radar WebKit Bug Importer 2015-06-11 16:43:24 PDT
<rdar://problem/21349851>
Comment 2 Jon Lee 2015-06-11 16:57:35 PDT
Created attachment 254769 [details]
Patch
Comment 3 Anders Carlsson 2015-06-12 10:41:47 PDT
Comment on attachment 254769 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=254769&action=review

This needs to go through internal API review (unless it already has).

> Source/WebKit2/UIProcess/API/Cocoa/WKWebViewConfiguration.mm:-327
> -#if PLATFORM(IOS)
> -- (BOOL)_allowsAlternateFullscreen
> -{
> -    return _allowsAlternateFullscreen;
> -}
> -
> -- (void)_setAllowsAlternateFullscreen:(BOOL)allowed
> -{
> -    _allowsAlternateFullscreen = allowed;
> -}
> -#endif
> -

We probably need to keep these for now (and just have them call the SPI methods) so we won't break iOS Safari.
Comment 4 Jon Lee 2015-06-12 15:19:05 PDT
Comment on attachment 254769 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=254769&action=review

>> Source/WebKit2/UIProcess/API/Cocoa/WKWebViewConfiguration.mm:-327
>> -
> 
> We probably need to keep these for now (and just have them call the SPI methods) so we won't break iOS Safari.

As far as I can tell, no client calls this SPI, including iOS Safari. So I plan on removing it.
Comment 5 Jon Lee 2015-06-12 15:19:30 PDT
(In reply to comment #3)
> Comment on attachment 254769 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=254769&action=review
> 
> This needs to go through internal API review (unless it already has).

It already has. No objections :)
Comment 6 Jon Lee 2015-06-15 11:07:41 PDT
Committed r185556: <http://trac.webkit.org/changeset/185556>